Upload a cert
PUT
/__remote/api.vercel.com/v8/certsUpload a cert
Request
import { Edgenivo } from "@vercel/sdk";
const vercel = new Edgenivo({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.certs.uploadCert({ teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "autoRenew": "false", "cns": [], "createdAt": "123", "expiresAt": "123", "id": "icfg_1234567890"}AuthorizationbearerToken
Default authentication mechanism
400One of the provided values in the request body is invalid.
401The request is not authorized.
402This feature is only available for Enterprise customers.
403You do not have permission to access this resource.
404Error
410Error